package com.liquidnet.service.kylin.dto.vo.returns;

import com.liquidnet.service.kylin.dto.vo.LimitErrorResultVo;
import com.liquidnet.service.kylin.dto.vo.middle.PayDataVo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class PayInnerResultVo implements Serializable,Cloneable {

    private String code;
    private String orderCode;
    private Integer status;
    private String orderId;
    private String payType;
    private String showUrl;
    private String returnUrl;
    private BigDecimal price;
    private PayDataVo payData;
    private List<LimitErrorResultVo> limitResult;

    private static final PayInnerResultVo obj = new PayInnerResultVo();
    public static PayInnerResultVo getNew() {
        try {
            return (PayInnerResultVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PayInnerResultVo();
        }
    }
}
